LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
DefaultHelpProvider Service Reference

implements a component which can default-fill the help section of an ObjectInspector. More...

`import"DefaultHelpProvider.idl";`

Inheritance diagram for DefaultHelpProvider:

## Public Member Functions
| create ([in] XObjectInspectorUI InspectorUI) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates a help provider instance More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

implements a component which can default-fill the help section of an ObjectInspector.

The component registers a XPropertyControlObserver at an XObjectInspectoryUI interface. Whenever it then is notified of a XPropertyControl getting the focus, it will try to deduce the extended help text of this control's window, and set this help text at the object inspector's help section.

## Member Function Documentation

## ◆ create()

create | ( | [in] XObjectInspectorUI | InspectorUI | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a help provider instance

Parameters

  InspectorUI | provides access to the UI of the ObjectInspector which should be observed. Must not be `NULL`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given inspector UI is `NULL`.

The documentation for this service was generated from the following file:

- com/sun/star/inspection/DefaultHelpProvider.idl